summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rwxr-xr-xmine.sh5
1 files changed, 5 insertions, 0 deletions
diff --git a/mine.sh b/mine.sh
index c902d84..d3391eb 100755
--- a/mine.sh
+++ b/mine.sh
@@ -5,6 +5,11 @@ if [[ x"$1" = x ]]; then
exit 1
fi
+if ! type tcpflow > /dev/null 2>&1 || ! type foremost > /dev/null 2>&1; then
+ echo "tcpflow or foemost missing"
+ exit 1
+fi
+
if [[ -d flow ]]; then
rm -rf flow
fi